    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.beans.EventSetDescriptor

    java.lang.Object
       |
       +----java.beans.FeatureDescriptor
               |
               +----java.beans.EventSetDescriptor

public class EventSetDescriptor
extends FeatureDescriptor

An EventSetDescriptor describes a group of events that a given Java bean fires.

The given group of events are all delivered as method calls on a single event listener interface, and an event listener object can be registered via a call on a registration method supplied by the event source.

##

EventSetDescriptor(Class, String, Class, String)
  This constructor creates an EventSetDescriptor assuming that you are following the most simple standard design pattern where a named event "fred" is (1) delivered as a call on the single method of interface FredListener, (2) has a single argument of type FredEvent, and (3) where the FredListener may be registered with a call on an addFredListener method of the source component and removed with a call on a removeFredListener method.
EventSetDescriptor(Class, String, Class, String[], String, String)
  This constructor creates an EventSetDescriptor from scratch using string names.
EventSetDescriptor(String, Class, Method[], Method, Method)
  This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.Method and java.lang.Class objects.
EventSetDescriptor(String, Class, MethodDescriptor[], Method, Method)
  This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.MethodDescriptor and java.lang.Class objects.

##

getAddListenerMethod()
getListenerMethodDescriptors()
getListenerMethods()
getListenerType()
getRemoveListenerMethod()
isInDefaultEventSet()
  Report if an event set is in the "default set".
isUnicast()
  Normally event sources are multicast.
setInDefaultEventSet(boolean)
  Mark an event set as being in the "default" set (or not).
setUnicast(boolean)
  Mark an event set as unicast (or not).

##

EventSetDescriptor

     public EventSetDescriptor(Class sourceClass,
                               String eventSetName,
                               Class listenerType,
                               String listenerMethodName) throws IntrospectionException

  This constructor creates an EventSetDescriptor assuming that you are following the most simple standard design pattern where a named event "fred" is (1) delivered as a call on the single method of interface FredListener, (2) has a single argument of type FredEvent, and (3) where the FredListener may be registered with a call on an addFredListener method of the source component and removed with a call on a removeFredListener method.

  Parameters:
    sourceClass - The class firing the event.
    eventSetName - The programmatic name of the event. E.g. "fred". Note that this should normally start with a lower-case character.
    listenerType - The target interface that events will get delivered to.
    listenerMethodName - The method that will get called when the event gets delivered to its target listener interface.
  Throws: IntrospectionException
    if an exception occurs during introspection.

EventSetDescriptor

     public EventSetDescriptor(Class sourceClass,
                               String eventSetName,
                               Class listenerType,
                               String listenerMethodNames[],
                               String addListenerMethodName,
                               String removeListenerMethodName) throws IntrospectionException

  This constructor creates an EventSetDescriptor from scratch using string names.

  Parameters:
    sourceClass - The class firing the event.
    eventSetName - The programmatic name of the event set. Note that this should normally start with a lower-case character.
    listenerType - The Class of the target interface that events will get delivered to.
    listenerMethodNames - The names of the methods that will get called when the event gets delivered to its target listener interface.
    addListenerMethodName - The name of the method on the event source that can be used to register an event listener object.
    removeListenerMethodName - The name of the method on the event source that can be used to de-register an event listener object.
  Throws: IntrospectionException
    if an exception occurs during introspection.

EventSetDescriptor

     public EventSetDescriptor(String eventSetName,
                               Class listenerType,
                               Method listenerMethods[],
                               Method addListenerMethod,
                               Method removeListenerMethod) throws IntrospectionException

  This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.Method and java.lang.Class objects.

  Parameters:
    eventSetName - The programmatic name of the event set.
    listenerType - The Class for the listener interface.
    listenerMethods - An array of Method objects describing each of the event handling methods in the target listener.
    addListenerMethod - The method on the event source that can be used to register an event listener object.
    removeListenerMethod - The method on the event source that can be used to de-register an event listener object.
  Throws: IntrospectionException
    if an exception occurs during introspection.

EventSetDescriptor

     public EventSetDescriptor(String eventSetName,
                               Class listenerType,
                               MethodDescriptor listenerMethodDescriptors[],
                               Method addListenerMethod,
                               Method removeListenerMethod) throws IntrospectionException

  This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.MethodDescriptor and java.lang.Class objects.

  Parameters:
    eventSetName - The programmatic name of the event set.
    listenerType - The Class for the listener interface.
    listenerMethodDescriptors - An array of MethodDescriptor objects describing each of the event handling methods in the target listener.
    addListenerMethod - The method on the event source that can be used to register an event listener object.
    removeListenerMethod - The method on the event source that can be used to de-register an event listener object.
  Throws: IntrospectionException
    if an exception occurs during introspection.

##

getListenerType

     public Class getListenerType()

  Returns:
    The Class object for the target interface that will get invoked when the event is fired.

getListenerMethods

     public Method[] getListenerMethods()

  Returns:
    An array of Method objects for the target methods within the target listener interface that will get called when events are fired.

getListenerMethodDescriptors

     public MethodDescriptor[] getListenerMethodDescriptors()

  Returns:
    An array of MethodDescriptor objects for the target methods within the target listener interface that will get called when events are fired.

getAddListenerMethod

     public Method getAddListenerMethod()

  Returns:
    The method used to register a listener at the event source.

getRemoveListenerMethod

     public Method getRemoveListenerMethod()

  Returns:
    The method used to register a listener at the event source.

setUnicast

     public void setUnicast(boolean unicast)

  Mark an event set as unicast (or not).

  Parameters:
    unicast - True if the event set is unicast.

isUnicast

     public boolean isUnicast()

  Normally event sources are multicast. However there are some exceptions that are strictly unicast.

  Returns:
    True if the event set is unicast. Defaults to "false".

setInDefaultEventSet

     public void setInDefaultEventSet(boolean inDefaultEventSet)

  Mark an event set as being in the "default" set (or not). By default this is true.

  Parameters:
    unicast - True if the event set is unicast.

isInDefaultEventSet

     public boolean isInDefaultEventSet()

  Report if an event set is in the "default set".

  Returns:
    True if the event set is in the "default set". Defaults to "true".

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.